version: '3'

name: oonyeje-portfolio
services:
  app:
    image: node:18.8-alpine
    build:
      context: ./
      dockerfile: Dockerfile
    ports:
      - "3000:3000"
    volumes:
      - .:/home/node/app
      - ./node_modules:/home/node/app/node_modules
    working_dir: /home/node/app/
    command: sh -c "yarn install && yarn dev"
    env_file:
      - .env.local
